local RayUI, E, _, V, P, G = unpack(select(2, ...))
local RUF = RayUI:GetModule('RayUIUnitframes')
local UF = E.UnitFrames

function RUF:Update_Raid40Frames(frame, db)
    if E.db.rayui.unitframes.quickres and (not frame:IsElementEnabled("RayUIQuickRes")) then
        frame:EnableElement("RayUIQuickRes")
    elseif (not E.db.rayui.unitframes.quickres) and frame:IsElementEnabled("RayUIQuickRes") then
        frame:DisableElement("RayUIQuickRes")
    end
end

function RUF:InitRaid40()
	hooksecurefunc(UF, "Update_Raid40Frames", RUF.Update_Raid40Frames)
end
